
Redmine - Patch #38975

Use ApplicationRecord instead of ActiveRecord::Base

2023-08-23 09:15 - Minoru Maeda

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

This patch changes the base class of the Active Record model in app/models to ApplicationRecord.

This is in accordance with the change of model inheritance from ActiveRecord::Base to ApplicationRecord in Rails 5.

Reference link: https://www.bigbinary.com/blog/application-record-in-rails-5

However, the include destination of lib/plugins/acts_as_xxx will also change from ActiveRecord::Base to ApplicationRecord when this

patch is applied,

This will affect the Active Record model of Redmine plugins that use the acts_as_xxx method, and the base class will need to be

changed to ApplicationRecord.

Thank you.

Associated revisions

Revision 22619 - 2024-01-23 12:52 - Marius BĂLTEANU

Use ApplicationRecord instead of ActiveRecord::Base (#38975).

Patch by Minoru Maeda (@maeda-m).

Revision 22620 - 2024-01-24 03:29 - Go MAEDA

Fix RuboCop offense Layout/EmptyLineAfterMagicComment (#38975).

Revision 22621 - 2024-01-24 03:32 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundModuleBody (#38975).

Revision 22759 - 2024-03-03 23:27 - Marius BĂLTEANU

Fix rubocop warning (#38975).

History

#1 - 2023-08-30 10:04 - Mizuki ISHIKAWA

+1

Since the use of ApplicationRecord has become standard practice in Rails 5 and beyond, I think it would be beneficial for Redmine to stay up-to-date

with this approach.

#2 - 2023-12-30 09:35 - Go MAEDA

- File 38975-v2.patch added

- Target version set to 6.0.0

Updated the patch for the current trunk.

Setting the target version to 6.0.0.

#3 - 2024-01-01 05:53 - Mischa The Evil

Thanks for scheduling this. It gets a +1 from me too. IMHO this change is long overdue.

#4 - 2024-01-23 12:46 - Marius BĂLTEANU

- Subject changed from Use ApplicationRecord to Use ApplicationRecord instead of ActiveRecord::Base
- Assignee set to Marius BĂLTEANU

#5 - 2024-01-23 12:57 - Marius BĂLTEANU

- Status changed from New to Resolved

Committed, thanks!

#6 - 2024-01-23 13:23 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

use_application_record_models.patch 32.5 KB 2023-08-23 Minoru Maeda

38975-v2.patch 31.3 KB 2023-12-30 Go MAEDA
